<?php
$operatorMeta = array(
    'operators' => array(
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Contacts',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Contacts',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'RetrieveRelatedEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'tag_link',
                                    ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Tags',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Tags',
                                    ),
            ),
        ),
        'op-10' => array(
            'id' => 'op-10',
            'type' => 'ForEachEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Tags',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Tags',
                                    ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Tags',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-309' => array(
            'id' => 'op-309',
            'type' => 'GetSubstringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'start' => array(
                    'id' => 'start',
                                        'value' => '0',
                                    ),
                'length' => array(
                    'id' => 'length',
                                        'value' => '3',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-310' => array(
            'id' => 'op-310',
            'type' => 'GetSubstringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'start' => array(
                    'id' => 'start',
                                        'value' => '3',
                                    ),
                'length' => array(
                    'id' => 'length',
                                        'value' => '1000',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-311' => array(
            'id' => 'op-311',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'ProspectLists',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'ProspectLists',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'ProspectLists',
                                    ),
            ),
        ),
        'op-312' => array(
            'id' => 'op-312',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '1',
                                    ),
            ),
        ),
        'op-313' => array(
            'id' => 'op-313',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-316' => array(
            'id' => 'op-316',
            'type' => 'UnlinkEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Tags',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Contacts',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'contacts_link',
                                    ),
            ),
            'outDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Tags',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-318' => array(
            'id' => 'op-318',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'TL-',
                                    ),
            ),
        ),
        'op-319' => array(
            'id' => 'op-319',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-321' => array(
            'id' => 'op-321',
            'type' => 'UnlinkEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Contacts',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'ProspectLists',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'prospect_lists',
                                    ),
            ),
            'outDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Contacts',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'ProspectLists',
                                    ),
            ),
        ),
        'op-322' => array(
            'id' => 'op-322',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-323' => array(
            'id' => 'op-323',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-14' => array(
            'from' => 'op-4entity',
            'fromOperator' => 'op-4',
            'fromConnector' => 'entity',
            'to' => 'op-9entity',
            'toOperator' => 'op-9',
            'toConnector' => 'entity'
        ),
        'link-15' => array(
            'from' => 'op-4controlFlow',
            'fromOperator' => 'op-4',
            'fromConnector' => 'controlFlow',
            'to' => 'op-9controlFlow',
            'toOperator' => 'op-9',
            'toConnector' => 'controlFlow'
        ),
        'link-16' => array(
            'from' => 'op-9entities',
            'fromOperator' => 'op-9',
            'fromConnector' => 'entities',
            'to' => 'op-10entities',
            'toOperator' => 'op-10',
            'toConnector' => 'entities'
        ),
        'link-17' => array(
            'from' => 'op-9controlFlow',
            'fromOperator' => 'op-9',
            'fromConnector' => 'controlFlow',
            'to' => 'op-10controlFlow',
            'toOperator' => 'op-10',
            'toConnector' => 'controlFlow'
        ),
        'link-18' => array(
            'from' => 'op-10entity',
            'fromOperator' => 'op-10',
            'fromConnector' => 'entity',
            'to' => 'op-11entity',
            'toOperator' => 'op-11',
            'toConnector' => 'entity'
        ),
        'link-679' => array(
            'from' => 'op-11fields0',
            'fromOperator' => 'op-11',
            'fromConnector' => 'fields0',
            'to' => 'op-309string',
            'toOperator' => 'op-309',
            'toConnector' => 'string'
        ),
        'link-681' => array(
            'from' => 'op-11fields0',
            'fromOperator' => 'op-11',
            'fromConnector' => 'fields0',
            'to' => 'op-310string',
            'toOperator' => 'op-310',
            'toConnector' => 'string'
        ),
        'link-682' => array(
            'from' => 'op-310result',
            'fromOperator' => 'op-310',
            'fromConnector' => 'result',
            'to' => 'op-311fields0',
            'toOperator' => 'op-311',
            'toConnector' => 'fields0'
        ),
        'link-683' => array(
            'from' => 'op-311entitiesNumber',
            'fromOperator' => 'op-311',
            'fromConnector' => 'entitiesNumber',
            'to' => 'op-313operand1',
            'toOperator' => 'op-313',
            'toConnector' => 'operand1'
        ),
        'link-684' => array(
            'from' => 'op-312result',
            'fromOperator' => 'op-312',
            'fromConnector' => 'result',
            'to' => 'op-313operand2',
            'toOperator' => 'op-313',
            'toConnector' => 'operand2'
        ),
        'link-693' => array(
            'from' => 'op-10controlFlowLoopBody',
            'fromOperator' => 'op-10',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-311controlFlow',
            'toOperator' => 'op-311',
            'toConnector' => 'controlFlow'
        ),
        'link-699' => array(
            'from' => 'op-4entity',
            'fromOperator' => 'op-4',
            'fromConnector' => 'entity',
            'to' => 'op-316subjectEntity',
            'toOperator' => 'op-316',
            'toConnector' => 'subjectEntity'
        ),
        'link-700' => array(
            'from' => 'op-10entity',
            'fromOperator' => 'op-10',
            'fromConnector' => 'entity',
            'to' => 'op-316objectEntity',
            'toOperator' => 'op-316',
            'toConnector' => 'objectEntity'
        ),
        'link-708' => array(
            'from' => 'op-321controlFlow',
            'fromOperator' => 'op-321',
            'fromConnector' => 'controlFlow',
            'to' => 'op-316controlFlow',
            'toOperator' => 'op-316',
            'toConnector' => 'controlFlow'
        ),
        'link-709' => array(
            'from' => 'op-318result',
            'fromOperator' => 'op-318',
            'fromConnector' => 'result',
            'to' => 'op-319operand2',
            'toOperator' => 'op-319',
            'toConnector' => 'operand2'
        ),
        'link-710' => array(
            'from' => 'op-309result',
            'fromOperator' => 'op-309',
            'fromConnector' => 'result',
            'to' => 'op-319operand1',
            'toOperator' => 'op-319',
            'toConnector' => 'operand1'
        ),
        'link-711' => array(
            'from' => 'op-311singleEntity',
            'fromOperator' => 'op-311',
            'fromConnector' => 'singleEntity',
            'to' => 'op-321subjectEntity',
            'toOperator' => 'op-321',
            'toConnector' => 'subjectEntity'
        ),
        'link-712' => array(
            'from' => 'op-4entity',
            'fromOperator' => 'op-4',
            'fromConnector' => 'entity',
            'to' => 'op-321objectEntity',
            'toOperator' => 'op-321',
            'toConnector' => 'objectEntity'
        ),
        'link-714' => array(
            'from' => 'op-311controlFlow',
            'fromOperator' => 'op-311',
            'fromConnector' => 'controlFlow',
            'to' => 'op-322controlFlow',
            'toOperator' => 'op-322',
            'toConnector' => 'controlFlow'
        ),
        'link-719' => array(
            'from' => 'op-313result',
            'fromOperator' => 'op-313',
            'fromConnector' => 'result',
            'to' => 'op-323operand1',
            'toOperator' => 'op-323',
            'toConnector' => 'operand1'
        ),
        'link-720' => array(
            'from' => 'op-319result',
            'fromOperator' => 'op-319',
            'fromConnector' => 'result',
            'to' => 'op-323operand2',
            'toOperator' => 'op-323',
            'toConnector' => 'operand2'
        ),
        'link-721' => array(
            'from' => 'op-323result',
            'fromOperator' => 'op-323',
            'fromConnector' => 'result',
            'to' => 'op-322condition',
            'toOperator' => 'op-322',
            'toConnector' => 'condition'
        ),
        'link-722' => array(
            'from' => 'op-322controlFlowIfTrue',
            'fromOperator' => 'op-322',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-321controlFlow',
            'toOperator' => 'op-321',
            'toConnector' => 'controlFlow'
        ),
    )
);
