<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb609a79097a39e2_61290042/operators/FlowchartOperator_lb609a79097a39e2_61290042.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb609a79097a39e2_61290042/dataStorage/CollectionStorage_lb609a79097a39e2_61290042.php';

class OnDataChangeOperator_lb609a79097a39e2_61290042 extends FlowchartOperator_lb609a79097a39e2_61290042{

    protected $flowId;

    protected $bean;
    protected $beanOld;
    protected $isNew;

    protected $moduleName;
    protected $eventType;

    public function __construct($params){
        parent::__construct($params);
    }

    public function process($params = array()){
        $this->flowId = $params['flowId'];

        $this->bean = $params['bean'];
        $this->beanOld = $params['beanPrev'];
        $this->isNew = $params['isNew'];

        CollectionStorage_lb609a79097a39e2_61290042::createCollection($this->getCollectionId(), $params['changedFields']);
    }

    public function setInDataPorts($params){
        parent::setInDataPorts($params);

        $this->setModuleName($this->inDataPorts['module']['value']);
        $this->setEventType($this->inDataPorts['eventType']['value']);
    }

    public function setModuleName($moduleName){
        $this->moduleName = $moduleName;
    }

    public function getModuleName(){
        return $this->moduleName;
    }

    public function setEventType($eventType){
        $this->eventType = $eventType;
    }

    public function getEventType(){
        return $this->eventType;
    }

    public function getEventName(){
        return 'hook';
    }

    public function getOutDataByPortId($portId){
        if($portId == 'out_1' || $portId == 'entity')
            return $this->bean;
        elseif($portId == 'out_2' || $portId == 'previousEntityState'){
            return $this->beanOld;
        }elseif($portId == 'isNewRecord'){
            return $this->isNew;
        }elseif($portId == 'changedFields'){
            return array(
                'collectionId' => $this->getCollectionId(),
                'collectionData' => CollectionStorage_lb609a79097a39e2_61290042::getCollection($this->getCollectionId())
            );
        }
        return '';
    }

    protected function getCollectionId(){
        return $this->flowId . $this->id;
    }

}
